Subject: bug#73734: [PATCH] Fix tmm menu layout

From: martin rudalics <[email-masked]>
Date: Fri, 11 Oct 2024 10:15:24 +0200

> I've tried this and it seems that, at the time of calling this function,
 > the *Completions* buffer does not exist yet.

I suppose that it is not yet displayed in a window and changing the
order of things here would be too invasive.  'tmm-add-prompt' uses the
value of 'get-buffer-window' after checking that it returns non-nil.
But that's probably too late to determine the number of available
columns.

 > So (get-buffer-window
 > "*Completions*") returns nil and we still get the current window width.

In that case we could use 'frame-width' as fallback but if
'get-buffer-window' always returns nil that would hardly make sense.
I'm absolutely not familiar with the order how tmm does things.

martin